# TiffIO.pri : define evrything common to TiffIO and TiffIO-debug
#
# $Id: TiffIO.pri,v 1.3 2005/09/29 17:39:46 gascuel Exp $
#

#-----------------------------------------------------------------------------
# qmake CONFIG options:
#   Q_STATIC_PLUGIN : if defined at compile time, and TiffIO.pri is included
#                     in your project, then the codec is linked within your
#                     project, and initialised automatically at run time.
#                     (See test.pro for an example).
#-----------------------------------------------------------------------------
isEmpty(TIFF): TIFF=libtiff-3.7.2
message( +++++ Using TIFF $${TIFF} )
!exists( $$TIFF/tiffio.h ) : error( Unable to find libtiff )

#Note: All *_SUPPORT flags are set inside tif_config.h

# Note: by default, don't know how to compile for JPEG on Win32 Qt distribution
# (Or you will have to make all change 3rdparty/libjpeg to export DLL symbols)...
win32: !jpeg: CONFIG += no-jpeg

DIST += \
	test.cpp \
	test.pro \
	Examples/

HEADERS += \
    $$TIFF/tiff.h          \
    $$TIFF/tiffio.h        \
    $$TIFF/tiffiop.h       \
    $$TIFF/tiffvers.h      \
    $$TIFF/tif_config.h

SOURCES += \
    TiffIO.cpp             \
    $$TIFF/tif_aux.c       \
    $$TIFF/tif_close.c     \
    $$TIFF/tif_codec.c     \
    $$TIFF/tif_color.c     \
    $$TIFF/tif_compress.c  \
    $$TIFF/tif_dir.c       \
    $$TIFF/tif_dirinfo.c   \
    $$TIFF/tif_dirread.c   \
    $$TIFF/tif_dirwrite.c  \
    $$TIFF/tif_dumpmode.c  \
    $$TIFF/tif_error.c     \
    $$TIFF/tif_extension.c \
    $$TIFF/tif_fax3.c      \
    $$TIFF/tif_fax3sm.c    \
    $$TIFF/tif_flush.c     \
    $$TIFF/tif_getimage.c  \
    $$TIFF/tif_luv.c       \
    $$TIFF/tif_next.c      \
    $$TIFF/tif_open.c      \
    $$TIFF/tif_packbits.c  \
    $$TIFF/tif_predict.c   \
    $$TIFF/tif_print.c     \
    $$TIFF/tif_read.c      \
    $$TIFF/tif_strip.c     \
    $$TIFF/tif_swab.c      \
    $$TIFF/tif_thunder.c   \
    $$TIFF/tif_tile.c      \
    $$TIFF/tif_version.c   \
    $$TIFF/tif_warning.c   \
    $$TIFF/tif_write.c

!no-zlib: SOURCES += $$TIFF/tif_zip.c $$TIFF/tif_pixarlog.c
 no-zlib: DEFINES += NO_ZLIB
!no-lzw:  SOURCES += $$TIFF/tif_lzw.c
 no-lzw:  DEFINES += NO_LZW=1
!no-jpeg: SOURCES += $$TIFF/tif_jpeg.c
 no-jpeg: DEFINES += NO_JPEG=1

win32: SOURCES += $$TIFF/tif_win32.c
unix : SOURCES += $$TIFF/tif_unix.c

##############################################################################
# Auto-detect Qt3 or Qt4 support mode...

exists( $$(QTDIR)/include/QtCore ) {
    message( Compiling for Qt4 )
    SOURCES += TiffIO_Qt4.cpp
    DIST    += TiffIO_Qt3.cpp
} else {
    message( Compiling for Qt3 )
    SOURCES += TiffIO_Qt3.cpp
    DIST    += TiffIO_Qt4.cpp
}
